netstat-nat(1)

NAME
netstat-nat - Show the natted connections on a linux iptable firewall

SYNOPSIS
netstat-nat [options]

DESCRIPTION
netstat-nat Displays NAT connections managed by netfilter/iptables which comes with the > 2.4.x linux kernels. The program reads its information from '/proc/net/ip_conntrack' or '/proc/net/nf_conntrack', which is the temporary conntrack-storage of netfilter.

OPTIONS

-h  displays help

-n  don't resolve IPs/portnumbers to host/portnames

-p <protocol>
    display NAT connections with protocol selection (see /etc/protocols)

-s <source host>
    display connections by source IP/hostname

-d <destination host>
    display connections by destination IP/hostname

-S  display SNAT connections

-D  display DNAT connections

-L  display only connections to NAT box self (doesn't show SNAT & DNAT)

-R  display only connections routed through the NAT box (doesn't show SNAT & DNAT)

-x  extended view of hostnames

-r <src|dst|src-port|dst-port|state>
    sort connections

-o  no output header

-N  display NAT box connection information (only valid with SNAT & DNAT)

-v  prints version

FILES
/proc/net/ip_conntrack or /proc/net/nf_conntrack

SEE ALSO
http://www.tweegy.nl/projects/netstat-nat/
http://www.netfilter.org/

AUTHOR
netstat-nat has been written by D.Wijsman danny@tweegy.nl
The manual page has been written by marceln@xs4all.nl